libgimpprint API Reference: res_t struct Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# res_t Struct Reference

`#include <print-escp2.h>`

## Data Fields
const char * | name
const char * | text
short | hres
short | vres
short | printed_hres
short | printed_vres
short | softweave
short | printer_weave
short | vertical_passes

## Field Documentation

short res_t::hres

| Definition at line 152 of file print-escp2.h. Referenced by adjusted_horizontal_resolution(), adjusted_vertical_resolution(), compute_resid(), escp2_set_printhead_speed(), find_default_resolution(), get_default_inktype(), print_debug_params(), set_horizontal_position(), setup_head_parameters(), setup_page(), setup_resolution(), verify_resolution(), and verify_resolution_by_paper_type().

const char* res_t::name

| Definition at line 150 of file print-escp2.h. Referenced by escp2_find_resolution(), and escp2_parameters().

short res_t::printed_hres

| Definition at line 154 of file print-escp2.h. Referenced by compute_printed_resid(), escp2_describe_resolution(), escp2_print_data(), escp2_print_page(), setup_page(), and setup_softweave_parameters().

short res_t::printed_vres

| Definition at line 155 of file print-escp2.h. Referenced by compute_printed_resid(), escp2_describe_resolution(), escp2_print_data(), escp2_print_page(), setup_page(), and verify_resolution_by_paper_type().

short res_t::printer_weave

| Definition at line 157 of file print-escp2.h. Referenced by escp2_parameters(), escp2_set_printer_weave(), print_debug_params(), and use_printer_weave().

short res_t::softweave

| Definition at line 156 of file print-escp2.h. Referenced by escp2_set_printhead_resolution(), print_debug_params(), setup_head_parameters(), setup_misc(), setup_resolution(), use_printer_weave(), and verify_resolution().

const char* res_t::text

| Definition at line 151 of file print-escp2.h.

short res_t::vertical_passes

| Definition at line 158 of file print-escp2.h. Referenced by escp2_print_page(), print_debug_params(), and verify_resolution().

short res_t::vres

| Definition at line 153 of file print-escp2.h. Referenced by adjusted_horizontal_resolution(), adjusted_vertical_resolution(), compute_resid(), escp2_print_page(), escp2_set_printhead_resolution(), escp2_set_printhead_speed(), find_default_resolution(), get_default_inktype(), print_debug_params(), set_vertical_position(), setup_head_offset(), setup_head_parameters(), setup_page(), setup_softweave_parameters(), and verify_resolution().

The documentation for this struct was generated from the following file:

- src/main/print-escp2.h